import { ElementRef, Renderer, OnChanges } from '@angular/core';
export declare class FocusDirective implements OnChanges {
    private el;
    private renderer;
    constructor(el: ElementRef, renderer: Renderer);
    focus: boolean;
    ngOnChanges(): void;
    changeState(): void;
}
